Mailinglist Archive: opensuse (2835 mails)

< Previous Next >
Re: [opensuse] libexpat.so.1 "missing" says Smart
  • From: Anders Johansson <andjoh@xxxxxxxxxx>
  • Date: Mon, 4 Dec 2006 23:34:05 +0100
  • Message-id: <200612042334.05695.andjoh@xxxxxxxxxx>
On Monday 04 December 2006 18:00, mlist@xxxxxxxxxxxxxxx wrote:
> Hey all,
>
> I installed SUSE 10.1 remastered, formatting everything except
> my /home partition.
>
> It came with the same old KDE 3.5.1a, so I wanted to upgrade.
>
> I gave smart a whole bunch of channels and selected the
> current KDE. Smart started working (if I recall...) KDE 3.5.5,
> then stopped with a message about "... no package provides libexpat.so.1".

Try

rpm -q --whatprovides libexpat.so.1

If you get back "expat", then have a closer look at what smart is suggesting.
It sounds like you are either pulling in a newer or older version of expat
somehow, or for some reason it's trying to uninstall it

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References